using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.IO;
using System.Windows.Forms;

namespace SendKeysProject
{
    public partial class Form3 : Form
    {
        public Form3()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            try
            {
                DirectoryInfo dir = new DirectoryInfo("C:\\");                
                ListViewItem item1;
                int i = 0;
                foreach (FileInfo d in dir.GetFiles("*.*"))
                {
                    item1 = new ListViewItem(d.Name);
                    item1.SubItems.Add(d.Length.ToString());
                    item1.SubItems.Add(d.CreationTime.ToLongDateString());
                    lvData.Items.Add(item1);
                    i++;
                }
                label1.Text = "Files: "+i.ToString();
            }
            catch (Exception ex)
            {
                MessageBox.Show(ex.Message);
            }
        }

        private void Form3_Activated(object sender, EventArgs e)
        {
            SendKeys.SendWait("{Enter}");
            //SendKeys.Send("{Enter}");
            label1.Text = "Sent Enter keystroke";
        }

        private void Form3_Load(object sender, EventArgs e)
        {
            lvData.Columns.Add("Name", 100, 0);
            lvData.Columns.Add("Size", 50, 0);
            lvData.Columns.Add("Date", 70, 0);
            lvData.View = View.Details;
        }
    }
}